// Core variables and mixins
@import "variables";
@import "mixins";
@import "custom"; // custom variables

@import "custom-mixins";

@import "src/retina.scss";

// @import "layout/general";
@import "layout/fonts";
@import "layout/utilities";
// @import "layout/header";

// .home {
//   @include retina('../images/bg-header.jpg', 2, cover, center center no-repeat);
//   position: relative;
//   max-height: 475px;
//   overflow: hidden;
// }
//

html {
  font-size: $font-size-base;
}

// body {
//  font-weight: 300;
// }

a {
  @include transition(.2s);
}


.outline {
  border: 1px solid #f09;
}

.wrapper {
  width: 100%;
  height: 100%;
  position: fixed;
  background: -moz-linear-gradient(left, rgba(0,0,0,0.3) 0%, rgba(0,0,0,0) 8%, rgba(0,0,0,0) 25%, rgba(0,0,0,0) 51%, rgba(0,0,0,0) 92%, rgba(0,0,0,0.3) 100%);
  background: -webkit-linear-gradient(left, rgba(0,0,0,0.3) 0%,rgba(0,0,0,0) 8%,rgba(0,0,0,0) 25%,rgba(0,0,0,0) 51%,rgba(0,0,0,0) 92%,rgba(0,0,0,0.3) 100%);
  background: linear-gradient(to right, rgba(0,0,0,0.3) 0%,rgba(0,0,0,0) 8%,rgba(0,0,0,0) 25%,rgba(0,0,0,0) 51%,rgba(0,0,0,0) 92%,rgba(0,0,0,0.3) 100%);
}


.carousel-inner > .item > img, .carousel-inner > .carousel-item > img {
    width: 100%;
}

.carousel-item.active,
.carousel-item-next,
.carousel-item-prev {
  display: block;
}

body {
  @include retina('../images/bg.jpg', 2, 90% auto, top 10px center fixed no-repeat);

  @include media-breakpoint-down(md){
    @include retina('../images/bg.jpg', 2, 95% auto, top 10px center fixed no-repeat);
  }
}


.menu {

  li {
    line-height: 1.2;

    &.active a {
      color: $main-color;
    }

    &:not(:first-child) {
      border-left: 2px solid $main-color;
    }

    a {
      font-size: $font-size-sm;

      &:hover, &:focus {
        color: $main-color;
      }
    }
  }

  @include media-breakpoint-down(md){
    background: rgba(255,255,255, 1);
    border-top: 2px solid $main-color;
    border-bottom: 2px solid $main-color;

    li {
      border-left: none !important;
    }
  }
}

.navbar-toggler {
  background-color: $main-color;
  right: 0;

  .navbar-toggler-icon {
    background-image: url('../images/svg/download.svg');
  }

  &:focus {
    outline: none;
    color: #000;
  }
}

.logo {
  width: 262px;

  img {
    width: 100%;
    height: auto;
  }

  @include media-breakpoint-down(md){
    max-width: 175px;
  }

  @include media-breakpoint-down(sm){
    max-width: 130px;
  }

}

label.error {
  color: #5f1612;
  padding-top: 5px;
}
